Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class DLARNV

    java.lang.Object
      org.netlib.lapack.DLARNV

    public class DLARNV

extends java.lang.Object

    DLARNV is a simplified interface to the JLAPACK routine dlarnv.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DLARNV returns a vector of n random real numbers from a uniform or
     *  normal distribution.
     *
     *  Arguments
     *  =========
     *
     *  IDIST   (input) INTEGER
     *          Specifies the distribution of the random numbers:
     *          = 1:  uniform (0,1)
     *          = 2:  uniform (-1,1)
     *          = 3:  normal (0,1)
     *
     *  ISEED   (input/output) INTEGER array, dimension (4)
     *          On entry, the seed of the random number generator; the array

     *          elements must be between 0 and 4095, and ISEED(4) must be
     *          odd.
     *          On exit, the seed is updated.
     *
     *  N       (input) INTEGER
     *          The number of random numbers to be generated.
     *
     *  X       (output) DOUBLE PRECISION array, dimension (N)
     *          The generated random numbers.
     *
     *  Further Details
     *  ===============
     *
     *  This routine calls the auxiliary routine DLARUV to generate random
     *  real numbers from a uniform (0,1) distribution, in batches of up to
     *  128 using vectorisable code. The Box-Muller method is used to
     *  transform numbers from a uniform to a normal distribution.
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`DLARNV()`

Method Summary
`static void` | `DLARNV(int idist, int[] iseed, int n, double[] x)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DLARNV

    public DLARNV()

Method Detail

### DLARNV

    public static void DLARNV(int idist,
                              int[] iseed,
                              int n,
                              double[] x)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD